Name:		sony-target-dev-stone
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-stone
Version:	2.3e
Release:	2%{?dist}
Summary:	Simple Repeater

Group:		network
License:	GPL
URL:		http://www.gcd.org/sengoku/stone/
Source0:	stone-%{version}.tar.gz
Patch1:		stone-%{version}-64bit.patch
Patch2:		stone-%{version}-tid.patch

#BuildRequires:	
#Requires:	

Group:		%{sony_group}
Distribution:	%{sony_distribution}
Vendor:		%{sony_vendor}
Packager:	%{sony_packager}
BuildRoot:	%{_tmppath}/%{name}-root
Prefix:		%{sony_target_dir}
%define _defaultdocdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
  Stone is a TCP/IP repeater in the application layer.  It
repeats TCP and UDP from inside to outside of a firewall, or
from outside to inside.

%package -n %{pkgname}
Summary:	Intel LLDP Agent
Group           : %{sony_group}
AutoReqProv     : no

%description -n %{pkgname}
  Stone is a TCP/IP repeater in the application layer.  It
repeats TCP and UDP from inside to outside of a firewall, or
from outside to inside.

%prep
%setup -q -n stone-%{version}
%patch1 -p1 -b .64
%patch2 -p1 -b .tid


%build
%sony_target_dev_setup
%{__make} linux-ssl SSL_FLAGS='-DUSE_SSL' SSL_LIBS='-lssl -lcrypto' \
	CFLAGS+=-D_GNU_SOURCE

%install
%{__rm} -rf %{buildroot}
%sony_target_dev_setup
%{__mkdir} -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
%{__install} stone %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}


%clean
%{__rm} -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_bin_dir}/stone
%doc GPL.txt README.*



%changelog
* Fri Aug  8 2014 Takeo Ugai <Takeo.Ugai@jp.sony.com> - 2.3e-2
- add tid patch.

* Fri Jul 15 2014 Takeo Ugai <Takeo.Ugai@jp.sony.com> - 2.3e-1
- add _GNU_SOURCE to CFLAGS.
- add 64bit patch.



